curl --request POST \
--url 'https://api.adside.ai/meta/mcp#setup_ab_test' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "<string>",
"method": "<string>",
"params": {
"name": "<string>",
"arguments": {
"name": "<string>",
"page_id": "<string>",
"message": "<string>",
"link_url": "<string>",
"account_id": "<string>",
"headline": "<string>",
"picture": "<string>",
"image_hash": "<string>",
"video_id": "<string>",
"call_to_action_type": "LEARN_MORE",
"description": "<string>",
"instagram_actor_id": "<string>",
"adlabels": [
"<string>"
],
"enable_standard_enhancements": false,
"enhancement_features": {
"enhance_cta": true,
"image_brightness_and_contrast": true,
"text_improvements": true,
"image_templates": false
},
"attachment_style": "link",
"caption": "<string>"
}
},
"id": "1"
}
'{
"jsonrpc": "<string>",
"id": "<string>",
"result": {
"content": [
{
"type": "<string>",
"text": "<string>"
}
]
}
}Get comprehensive guidance on setting up A/B tests for ad creatives. Provides best practices, testing strategies, and metrics to track for creative optimization.
curl --request POST \
--url 'https://api.adside.ai/meta/mcp#setup_ab_test' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "<string>",
"method": "<string>",
"params": {
"name": "<string>",
"arguments": {
"name": "<string>",
"page_id": "<string>",
"message": "<string>",
"link_url": "<string>",
"account_id": "<string>",
"headline": "<string>",
"picture": "<string>",
"image_hash": "<string>",
"video_id": "<string>",
"call_to_action_type": "LEARN_MORE",
"description": "<string>",
"instagram_actor_id": "<string>",
"adlabels": [
"<string>"
],
"enable_standard_enhancements": false,
"enhancement_features": {
"enhance_cta": true,
"image_brightness_and_contrast": true,
"text_improvements": true,
"image_templates": false
},
"attachment_style": "link",
"caption": "<string>"
}
},
"id": "1"
}
'{
"jsonrpc": "<string>",
"id": "<string>",
"result": {
"content": [
{
"type": "<string>",
"text": "<string>"
}
]
}
}API key (sk_live_*) — SHA256 hashed, looked up in Redis. Generate via the web app's workspace settings.